Skip to content

Get scans.

GET
/backend/v1/scans

Retrieves a list of scan requests that match the given criteria,
with the option to adjust the limit for more results.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Query Parameters

cursor

Pass cursor from response to get next or prev page.

search

Only return results that match the given text.

limit

Limits the amount of results.

Type
integer
Default
10
Maximum
100
Minimum
1
ascending

Whether results should be sorted in ascending order.

Type
boolean
Default
false
before

Only return results from before this timestamp.

after

Only return results from after this timestamp.

externalMetadata

Only return results that match the given external metadata
(as a stringified json e.g. '{"key": "value"}' would return only prompts with a "key" entry matching "value")

onlyUser

Only returns prompts belonging to the authenticated user.

Type
boolean
Default
true
outcomes

Repeated query parameters of outcomes. Filters results by these outcomes.

Default
endpointId

Only returns prompts sent to specified endpoints.

Type
array
Default
projectId

Only returns prompts sent to specified projects.

Type
array
Default
providerId

Only returns prompts sent to specified providers.

Type
array
Default

Responses

Successful Response

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: